<template>
	<view class="">
		<view class="inbddwwer">
			<view class="fzctob inbddwddre">
				<image src="/static/index/ina1.png"
					style="width: 40rpx;height: 40rpx;min-width: 40rpx;margin-right: 12rpx;"></image>
				<input type="text" value="" placeholder-style="color: #CCCCCC;font-size: 28rpx;"
					placeholder="搜索你感兴趣的内容" v-model="search" @confirm="searchList" />
			</view>
		</view>
		<view style="margin-top: 30rpx;">
			<view class="fzctob wdlbgt" v-for="(item1,index1) in list" :key="index1">
				<image :src="item1.img"
					style="width: 148rpx;height: 148rpx;min-width: 148rpx;border-radius:160rpx;" mode=""></image>
				<view class="flztoa wdkkjruy">
					<view class="fsxto">
						<text class="wdtxtut">{{item1.title}}</text>
						<view class="fzctob wdtxtuta">
							<text v-for="(item2,index2) in item2.tag" :key="index1">{{item}}</text>
						</view>
						<view class="fzctob wdtxtutb">
							<image src="/static/lecturer/lea2.png" style="width: 32rpx;height: 32rpx;min-width: 32rpx;"
								mode=""></image>
							<text>{{item1.city}}</text>
						</view>
					</view>
					<view class="fzddrew">
						<image src="/static/lecturer/lea1.png" style="width:56rpx;height: 56rpx;min-width: 56rpx;"
							mode=""></image>
						<view class="fzctob" style="height: 40rpx;margin-top: 20rpx;">
							<text class="wdjga">¥</text>
							<text class="wdjgb">{{item1.price}}</text>
						</view>
					</view>
				</view>
			</view>
		</view>
	</view>
</template>
<style>
	page {
		background: #FAFAFA;
	}
</style>
<script>
	export default {
		data() {
			return {
				page: 1,
				num: 20,
				list:[],
				search:''

			}
		},
		onLoad() {
			this.getlist();

		},
		methods: {
			//获取关注列表
			getlist() {
				let that = this;
				let user_id = uni.getStorageSync('id');
				this.$post({
					data: {
						do: 'LecturerFollowList',
						data: {
							page: that.page,
							num: that.num,
							user_id: user_id,
							search:that.search
						}
					}
				}).then(res => {
					this.list = res.data
				})
			},
			searchList(){
				this.page = 1
				this.list = []
				this.getlist()
			}
		}
	}
</script>

<style lang="scss" scoped>


</style>
